Bug 210042 - databases/mysql57-server, databases/mysql57-client: Update to 5.7.13
Summary: databases/mysql57-server, databases/mysql57-client: Update to 5.7.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-06-05 03:14 UTC by Kurt Jaeger
Modified: 2016-06-15 11:06 UTC (History)
2 users (show)

See Also:
mmokhi: maintainer-feedback+


Attachments
patch-server (1.13 KB, patch)
2016-06-05 03:14 UTC, Kurt Jaeger
no flags Details | Diff
patch-client (496 bytes, patch)
2016-06-05 03:15 UTC, Kurt Jaeger
no flags Details | Diff
patch for updating mysql57 port (1.27 KB, patch)
2016-06-07 13:29 UTC, Mahdi Mokhtari
mmokhi: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2016-06-05 03:14:43 UTC
Created attachment 171033 [details]
patch-server

testbuilds, portlint look fine
Comment 1 Kurt Jaeger freebsd_committer 2016-06-05 03:15:21 UTC
Created attachment 171034 [details]
patch-client
Comment 2 VK freebsd_triage 2016-06-05 11:10:20 UTC
Making summary searchable by individual port names.
Comment 3 Mahdi Mokhtari freebsd_committer freebsd_triage 2016-06-07 12:22:39 UTC
(In reply to Kurt Jaeger from comment #0 and #1)
Seems okay for me :)
But a point that i guess should be changed is omitting PORTREVISION?=0
Comment 4 Mahdi Mokhtari freebsd_committer freebsd_triage 2016-06-07 13:29:14 UTC
Created attachment 171142 [details]
patch for updating mysql57 port

This patch does exactly like Kurt's patch but not using PORTREVISION?=0
Comment 5 Mahdi Mokhtari freebsd_committer freebsd_triage 2016-06-08 09:58:52 UTC
(In reply to Kurt Jaeger)
Will you commit it yourself ? [assuming you're a port-committer :D]
Comment 6 commit-hook freebsd_committer 2016-06-15 05:41:15 UTC
A commit references this bug:

Author: pi
Date: Wed Jun 15 05:40:38 UTC 2016
New revision: 416915
URL: https://svnweb.freebsd.org/changeset/ports/416915

Log:
  databases/mysql57-{server|client}: 5.7.12 -> 5.7.13

  Changes:
    http://dev.mysql.com/doc/relnotes/mysql/5.7/en/news-5-7-13.html

  PR:		210042
  Approved by:	Mahdi Mokhtari <mokhi64@gmail.com> (maintainer)

Changes:
  head/databases/mysql57-client/Makefile
  head/databases/mysql57-server/Makefile
  head/databases/mysql57-server/distinfo
Comment 7 Kurt Jaeger freebsd_committer 2016-06-15 06:33:24 UTC
The PORTREVISION? are placeholders and do not change the version string if =0.

So I kept them in there.
Comment 8 Mahdi Mokhtari freebsd_committer freebsd_triage 2016-06-15 11:06:17 UTC
(In reply to Kurt Jaeger from comment #7)
> So I kept them in there.
Okay, Thanks for explanation ;) 
Before now, i always deleted PORTREVISION in every upgrade of ports (because there's no diff to keep it or delete it)

BTW, i see no problem to keep them too ;)